be.fgov.ehealth.standards.kmehr.schema.v1

## Class Civilstate

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.Civilstate

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:08:35+01:00",
                 comments="JAXB RI v2.3.7")
      public class Civilstate
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-CIVILSTATE"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Civilstate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDCIVILSTATE` | `getCd()` Gets the value of the cd property.
    `void` | `setCd(CDCIVILSTATE value)` Sets the value of the cd property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Civilstate

          public Civilstate()

  - ### Method Detail

    - #### getCd

          public CDCIVILSTATE getCd()

      Gets the value of the cd property.
      Returns:
        possible object is `CDCIVILSTATE`

    - #### setCd

          public void setCd(CDCIVILSTATE value)

      Sets the value of the cd property.
      Parameters:
        `value` - allowed object is `CDCIVILSTATE`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.